#pragma once

#define FOSC 16000000L

extern uint8_t common[];

enum AnalogPins_m { A0 = 0, A1, A2, A3, A4, A5, A6, A7, A8, A9, A10, A11, A12, A13, A14, A15 };
typedef enum AnalogPins_m AnalogPins;

// Atmel utilities
void delay( uint32_t clocks );
void analogSetup( void );
void analogTeardown( void );
uint32_t analogRead( AnalogPins analogPin );